## 3.5.2.tar.gz

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)

project(roxterm C)

include(FindPkgConfig)
include(GNUInstallDirs)

execute_process(COMMAND ${PROJECT_SOURCE_DIR}/version.sh
    OUTPUT_VARIABLE ROXTERM_VERSION)
execute_process(COMMAND date "+%Y-%m-%d"
    OUTPUT_VARIABLE ROXTERM_DATE)

set(APPINFO_VERSION "$ROXTERM_VERSION $ROXTERM_DATE")
configure_file(${PROJECT_SOURCE_DIR}/AppInfo.xml.in
    ${PROJECT_SOURCE_DIR}/AppInfo.xml)
# appdata should really be processed by i18n
configure_file(${PROJECT_SOURCE_DIR}/roxterm.appdata.xml.in
    ${PROJECT_BINARY_DIR}/roxterm.appdata.xml)
configure_file(${PROJECT_SOURCE_DIR}/roxterm.spec.in
    ${PROJECT_SOURCE_DIR}/roxterm.spec)
configure_file(${PROJECT_SOURCE_DIR}/roxterm.1.xml.in
    ${PROJECT_BINARY_DIR}/roxterm.1.xml)
configure_file(${PROJECT_SOURCE_DIR}/roxterm-config.1.xml.in
    ${PROJECT_BINARY_DIR}/roxterm-config.1.xml)

add_subdirectory(src)

install(FILES roxterm.svg
    DESTINATION ${CMAKE_INSTALL_DATADIR}/icons/hicolor/scalable/apps)

install(DIRECTORY Config
    DESTINATION ${CMAKE_INSTALL_DATADIR}/roxterm)

install(DIRECTORY docs/
    DESTINATION ${CMAKE_INSTALL_DOCDIR})

find_program(XSLTPROC xsltproc)
if (NOT "${XSLTPROC}" EQUAL "XSLTPROC-NOTFOUND")
    set(XSLTPROC_OPTIONS --novalid --param man.charmap.use.subset 0
        http://docbook.sourceforge.net/release/xsl/current/manpages/docbook.xsl)
    add_custom_command(OUTPUT roxterm.1
        COMMAND ${XSLTPROC} -o roxterm.1 ${XSLTPROC_OPTIONS}
            ${PROJECT_BINARY_DIR}/roxterm.1.xml
        MAIN_DEPENDENCY ${PROJECT_BINARY_DIR}/roxterm.1.xml
        WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})
    add_custom_command(OUTPUT roxterm-config.1
        COMMAND ${XSLTPROC} -o roxterm-config.1 ${XSLTPROC_OPTIONS}
            ${PROJECT_BINARY_DIR}/roxterm-config.1.xml
        MAIN_DEPENDENCY ${PROJECT_BINARY_DIR}/roxterm-config.1.xml
        WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})
    add_custom_target(manpages ALL
        DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/roxterm.1
            ${CMAKE_CURRENT_BINARY_DIR}/roxterm-config.1)
    install(FILES
        ${CMAKE_CURRENT_BINARY_DIR}/roxterm.1
        ${CMAKE_CURRENT_BINARY_DIR}/roxterm-config.1
        DESTINATION ${CMAKE_INSTALL_MANDIR}/man1) 
else ()
    message(WARNING "xsltproc not found, man pages will not be generated")
endif ()

install(FILES roxterm.desktop
    DESTINATION ${CMAKE_INSTALL_DATADIR}/applications)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/roxterm.appdata.xml
    DESTINATION ${CMAKE_INSTALL_DATADIR}/appdata)


# It would be nice if we could use cmake -E tar here, but it doesn't support
# any of the -- options needed here.
set(ROXTERM_PACKAGE_NAME "${CMAKE_PROJECT_NAME}-${ROXTERM_VERSION}")
set(TARBALL_NAME "${ROXTERM_PACKAGE_NAME}.tar.xz")
add_custom_command(OUTPUT "${TARBALL_NAME}"
    COMMAND tar cfJ
    "${TARBALL_NAME}"
    "--directory=${PROJECT_SOURCE_DIR}"
    "--transform=s,^,${CMAKE_PROJECT_NAME}-${ROXTERM_VERSION}/,"
    "--exclude=*~"
    AppInfo.xml
    AppInfo.xml.in
    AppRun
    AUTHORS
    CMakeLists.txt
    Config
    COPYING
    COPYING-LGPL
    docs
    INSTALL
    INSTALL.Debian
    mkycmflags
    NEWS
    README
    README.md
    README.translations
    roxterm.1.xml.in
    roxterm.appdata.xml.in
    roxterm-config.1.xml.in
    roxterm.desktop
    roxterm.lsm.in
    roxterm.spec
    roxterm.spec.in
    roxterm.svg
    roxterm.xml
    src
    version
    version.sh)
add_custom_target(dist DEPENDS "${TARBALL_NAME}")

=== src/CMakeLists.txt ===
# Find libraries

# roxterm and roxterm-config both depend on these
pkg_check_modules(RTCOMMON REQUIRED
    gtk+-3.0>=3.20.0 dbus-1>=1.0 dbus-glib-1>=0.22)

# roxterm-config needs certain flags so GtkBuilder can find signal handlers
pkg_check_modules(GMODULE REQUIRED gmodule-export-2.0)

# If VTE >= 0.50 this should include the necessary flags for libpcre
pkg_check_modules(VTE REQUIRED vte-2.91>=0.48)


configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config.h.in
    ${CMAKE_CURRENT_BINARY_DIR}/config.h)
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/version.h.in
    ${CMAKE_CURRENT_BINARY_DIR}/version.h)

add_library(rtlib OBJECT
    colourscheme.c dlg.c dragrcv.c dynopts.c encodings.c
    globalopts.c logo.c options.c optsfile.c rtdbus.c)
target_include_directories(rtlib PRIVATE
    ${RTCOMMON_INCLUDE_DIRS} ${CMAKE_CURRENT_BINARY_DIR})
target_compile_options(rtlib PRIVATE ${RTCOMMON_CFLAGS_OTHER})

add_executable(roxterm
    about.c main.c multitab.c multitab-close-button.c
    multitab-label.c menutree.c optsdbus.c roxterm.c roxterm-regex.c search.c
    session-file.c shortcuts.c uri.c)
add_dependencies(roxterm rtlib)
target_include_directories(roxterm PRIVATE
    ${RTCOMMON_INCLUDE_DIRS} ${VTE_INCLUDE_DIRS} ${CMAKE_CURRENT_BINARY_DIR})
target_compile_options(roxterm PRIVATE
    ${RTCOMMON_CFLAGS_OTHER} ${VTE_CFLAGS_OTHER})
target_link_libraries(roxterm
    ${RTCOMMON_LDFLAGS_OTHER} ${VTE_LDFLAGS_OTHER}
    ${RTCOMMON_LIBRARY_DIRS} ${VTE_LIBRARY_DIRS}
    $<TARGET_OBJECTS:rtlib> 
    ${RTCOMMON_LIBRARIES} ${VTE_LIBRARIES})

add_executable(roxterm-config
    capplet.c colourgui.c configlet.c getname.c optsdbus.c
    profilegui.c shortcuts.c)
add_dependencies(roxterm-config rtlib)
target_include_directories(roxterm-config PRIVATE
    ${RTCOMMON_INCLUDE_DIRS} ${GMODULE_INCLUDE_DIRS}
    ${CMAKE_CURRENT_BINARY_DIR})
target_compile_options(roxterm-config PRIVATE
    ${RTCOMMON_CFLAGS_OTHER} ${GMODULE_CFLAGS_OTHER})
target_compile_definitions(roxterm-config PRIVATE -DROXTERM_CAPPLET)
target_link_libraries(roxterm-config
    ${RTCOMMON_LDFLAGS_OTHER} ${GMODULE_LDFLAGS_OTHER}
    ${RTCOMMON_LIBRARY_DIRS} ${GMODULE_LIBRARY_DIRS}
    $<TARGET_OBJECTS:rtlib> 
    ${RTCOMMON_LIBRARIES} ${GMODULE_LIBRARIES})

install(TARGETS roxterm roxterm-config
    RUNTIME DESTINATION bin)
install(FILES roxterm-config.ui
    DESTINATION share/roxterm)

=== debian/changelog ===
roxterm (3.5.2-1ppa1) artful; urgency=medium

  * New upstream version:
    + Migrated to github.
    + Use CMake build system.
    + Fixed the geometry bug introduced by GTK 3.20.0.
    + Removed X11-specific code and options and improved Wayland support.
    + Minimum version requirements are now GTK 3.20 and vte 0.48.
    + URI regexes based on gnome-terminal's with simplified launch options.
    + Support explicit hyperlinks.
    + Numerous other fixes and updates.

 -- Tony Houghton <h@realh.co.uk>  Thu, 01 Mar 2018 18:32:36 +0000

roxterm (3.3.2-1pre14) unstable; urgency=medium

  * Removed debian/dirs to prevent creation of now empty /usr/share/pixmaps.
  * Build-Depends avoids buggy version of gettext (Closes: #809570).
  * debian/rules: Use --enable-nls instead of deprecated --enable-translations.
  * New upstream release:
    + Fixed ssh port number in config ui (upstream #120).
    + Fixed configure --disable-nls.
    + Update New Window/Tab With Profile submenus when profiles change
      (upstream #121).
    + Fade text and background colour labels along with buttons
      (Closes: #810016).

 -- Tony Houghton <h@realh.co.uk>  Wed, 06 Jan 2016 17:21:27 +0000

roxterm (3.3.1-1) unstable; urgency=medium

  * New upstream version:
    + Use new vte API for checking URL matches.
    + Don't recalculate size in "window-resize" handler.
    + Fixed colour palette radio widget grouping.
    + Only warn about closing running shells if they have child processes.

 -- Tony Houghton <h@realh.co.uk>  Wed, 02 Dec 2015 16:08:42 +0000

roxterm (3.2.1-1) unstable; urgency=medium

  * New upstream version:
    + Use vte 0.40's new word char API (Closes: #798656).
  * Don't use deprecated debian menu system.

 -- Tony Houghton <h@realh.co.uk>  Thu, 29 Oct 2015 13:12:11 +0000

roxterm (3.1.5-1) unstable; urgency=medium

  * Prevent --fork crashing on broken DBUS messages.

 -- Tony Houghton <h@realh.co.uk>  Thu, 20 Aug 2015 16:21:44 +0100

roxterm (3.1.4-2) unstable; urgency=high

  * Fixed target package of roxterm.xpm (Closes: #795529, #795551).

 -- Tony Houghton <h@realh.co.uk>  Sat, 15 Aug 2015 15:47:37 +0100

roxterm (3.1.4-1) unstable; urgency=medium

  * Make --fork wait until dbus service name has been acquired.
  * Fixed child-exited signal handler for vte-2.91's new signature.
  * Support named user sessions.
  * Removed profile option for initial number of tabs.
  * Updated roxterm.svg's and roxterm.appdata.xml.in's licence and
    copyright (Closes: #795217).
  * debian/control: Changed descriptions and dependencies of dummy
    packages to prevent lintian warnings.
  * Added lintian overrides for warnings about dummy dbg packages.

 -- Tony Houghton <h@realh.co.uk>  Thu, 13 Aug 2015 18:12:30 +0100

roxterm (3.0.2-1) unstable; urgency=medium

  * Fixed crash when dragging a tab from one window to another.
  * Added note about python 2-3 migration to news.html.

 -- Tony Houghton <h@realh.co.uk>  Sun, 12 Jul 2015 14:11:47 +0100

roxterm (3.0.1-1) unstable; urgency=medium

  * Force python build script to use utf8 when processing certain files.
  * Rearranged Tabs profile editor page.
  * debian/source/options: Ignore build-time changes to po and pot files.
  * debian:rules: Use dpkg-buildflags --get, and correct passing of flags to
    mscript.py configure.
  * Updated Standards-Version to 3.9.6.
  * Build uses python3 (updated Build-Depends accordingly).
  * Upstream tarball now uses .xz compression.
  * Added Select All menu item.
  * Allow unlimited scrollback lines.
  * Fixed some unsafe uses of sprintf.
  * Provide option to rewrap text when terminal width changes.
  * Drop support for GTK2 etc (Closes: #790183).
  * Replaced many calls to deprecated library functions.
  * Reorganized surviving binary packages.
  * Use vte-2.91 API (Closes: #788028).
  * Fixed colour/shortcut shceme CLI switch clash.
  * Fixed --tab aiming to target most recently focused window.
  * debian/copyright: Added .ycm_extra_conf.py.in.
  * Fade text in unselected tabs.
  * Fix maximise and full screen buttons in profile.

 -- Tony Houghton <h@realh.co.uk>  Thu, 09 Jul 2015 15:41:46 +0100

roxterm (2.9.5-1) unstable; urgency=medium

  * Recognise _NET_WM_DESKTOP special value 0xffffffff correctly.
  * Don't crash if EDITOR env variable is unset when editing shortcuts
    (Closes: #771022).

 -- Tony Houghton <h@realh.co.uk>  Fri, 28 Nov 2014 18:20:06 +0000

roxterm (2.9.4-1) unstable; urgency=low

  * Fixed metadata_license and non-default screenshot in appdata.
  * debian/control Build-Depends:
    + Added libtool-bin (Closes: #761785).
    + Added librsvg2-bin.
    + Removed graphicsmagick option:- it can't create favicon.ico.

 -- Tony Houghton <h@realh.co.uk>  Wed, 17 Sep 2014 15:45:06 +0100

roxterm (2.9.3-1) unstable; urgency=low

  * Applied wrap-and-sort.
  * Shortened one-line description of roxterm virtual package.
  * Update debhelper compatibility to 9.
  * Allow package to be built repeatedly from same unpacked source:
    + mscript.py, maitch.py: Better at preventing files such as *.po/*.pot
      being needlessly updated with timestamps etc
  * Changed default GTK colour scheme:
    + Make bold black (LP: #1340721).
    + Don't set cursor colour due to
      <https://bugzilla.gnome.org/show_bug.cgi?id=695011>.
  * Add support for launching ssh from matching URIs
    (based on a patch by Karl E. Jorgensen).
  * Support popular SCM URIs (copy to clipboard only).
  * Fixed background transparency support for recent versions of vte.
  * Don't crash trying to use a copy of an empty profile (Closes: #752253).
  * Allow Shortcuts files to be reloaded and edited as text.
  * Override --tab to false if no match for --title.
  * debian/control: Added Build-Depends on imagemagick, itstool.
  * debian/copyright: Updated year.
  * Support XDG AppData spec.
  * Corrected profile editor page selection when background options
    are disabled (doesn't affect Debian).


=== debian/control ===
Source: roxterm
Section: x11
Priority: optional
Maintainer: Tony Houghton <h@realh.co.uk>
Build-Depends:
 cmake,
 debhelper (>= 10),
 docbook-xsl,
 libdbus-glib-1-dev,
 libgtk-3-dev,
 libpcre2-dev,
 libvte-2.91-dev (>= 0.48),
 xsltproc
Standards-Version: 4.1.1
Homepage: http://roxterm.sourceforge.net/
Vcs-Git: git://git.code.sf.net/p/roxterm/code
Vcs-Browser: https://sourceforge.net/p/roxterm/code/

Package: roxterm-data
Architecture: all
Depends: ${misc:Depends}
Replaces: roxterm-common
Breaks: roxterm-common (<< 3.0.0)
Recommends: dbus-x11, openssh-client, roxterm
Description: Multi-tabbed GTK+/VTE terminal emulator - data files
 ROXTerm is a terminal emulator based on the VTE library. It was originally
 intended to be a lightweight alternative to gnome-terminal, but its role has
 shifted to providing a richer range of features for power users. This package
 contains ROXTerm's data files.

Package: roxterm
Architecture: any
Depends:
 librsvg2-common,
 roxterm-data (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Replaces: roxterm-gtk3 (<< 3.0.0), roxterm-gtk2 (<< 3.0.0)
Breaks: roxterm-gtk3 (<< 3.0.0), roxterm-gtk2 (<< 3.0.0)
Provides: x-terminal-emulator
Description: Multi-tabbed GTK+/VTE terminal emulator - binaries
 ROXTerm is a terminal emulator based on the VTE library. It was originally
 intended to be a lightweight alternative to gnome-terminal, but its role has
 shifted to providing a richer range of features for power users. This package
 contains the compiled programs for ROXTerm.
